Package com.collibra.catalog.api.component.classification.dto

# Class DisconnectDataClassesFromDataCategoryRequest

Object
DisconnectDataClassesFromDataCategoryRequest

public class DisconnectDataClassesFromDataCategoryRequest extends Object
Request to disconnect data classes from data category.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DisconnectDataClassesFromDataCategoryRequest.DisconnectDataClassesFromDataCategoryRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisconnectDataClassesFromDataCategoryRequest()`
  `DisconnectDataClassesFromDataCategoryRequest(List<UUID> dataClassIds, UUID dataCategoryId)`
  Creates a new `DisconnectDataClassesFromDataCategoryRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisconnectDataClassesFromDataCategoryRequest.DisconnectDataClassesFromDataCategoryRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getDataCategoryId()`
  The id of the data category to be disconnected from the data classes.
  `List<UUID>`
  `getDataClassIds()`
  The ids of the data classes to be disconnected from the data category.
  `int`
  `hashCode()`
  `void`
  `setDataCategoryId(UUID dataCategoryId)`
  The id of the data category to be disconnected from the data classes.
  `void`
  `setDataClassIds(List<UUID> dataClassIds)`
  The ids of the data classes to be disconnected from the data category.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DisconnectDataClassesFromDataCategoryRequest

    public DisconnectDataClassesFromDataCategoryRequest(List<UUID> dataClassIds, UUID dataCategoryId)
    Creates a new `DisconnectDataClassesFromDataCategoryRequest` instance.
    Parameters:
      `dataClassIds` - The ids of the data classes to be disconnected from the data category.
      `dataCategoryId` - The id of the data category to be disconnected from the data classes.

  - ### DisconnectDataClassesFromDataCategoryRequest

    public DisconnectDataClassesFromDataCategoryRequest()

- ## Method Details

  - ### builder

    public static DisconnectDataClassesFromDataCategoryRequest.DisconnectDataClassesFromDataCategoryRequestBuilder builder()

  - ### getDataClassIds

    public List<UUID> getDataClassIds()
    The ids of the data classes to be disconnected from the data category.

  - ### getDataCategoryId

    public UUID getDataCategoryId()
    The id of the data category to be disconnected from the data classes.

  - ### setDataClassIds

    public void setDataClassIds(List<UUID> dataClassIds)
    The ids of the data classes to be disconnected from the data category.

  - ### setDataCategoryId

    public void setDataCategoryId(UUID dataCategoryId)
    The id of the data category to be disconnected from the data classes.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`